mfschunktool(8)

NAME
mfschunktool - checks chunk integrity offline

SYNOPSIS
mfschunktool [-f] [-r] chunk_file ...

DESCRIPTION
mfschunktool checks chunk integrity using stored CRC checksums in chunk's header. It can also 'repair' chunk (fix stored checksums). This tool may be useful to check last written chunks after possible data corruption (power down etc.)

Options:

-f  turn on fast mode (in this mode only last block is tested - usually this is enough to find corrupted chunks)

-r  turn on repair mode (if checksums on given chunk don't match then they will be overwritten by checksums calculated using actual data)

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2018 Jakub Kruszona-Zawadzki, Core Technology Sp. z o.o. This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfschunkserver(8)